> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an Activity Log by ID

> Get an Activity Log by ID



## OpenAPI

````yaml activity-stream.2024-07-30.product.live GET /activity-logs/{id}
openapi: 3.0.0
info:
  title: ''
  description: ''
  version: 0.0.1
servers:
  - url: https://dev.seqhq.io
    description: E2E
  - url: https://dev.seqhq.io
    description: DEV
  - url: https://sandbox.sequencehq.com
    description: SANDBOX
  - url: https://eu.sequencehq.com
    description: PRODUCTION
security: []
tags:
  - name: Activities
paths:
  /activity-logs/{id}:
    servers: []
    parameters: []
    get:
      tags:
        - Activities
      summary: Get an Activity Log by ID
      description: Get an Activity Log by ID
      operationId: getActivityLogsById
      parameters:
        - name: id
          in: path
          description: id
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: sequence-version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActivityLogResponse'
                example:
                  id: aa0e8400-e29b-41d4-a716-446655440005
                  sequenceAccountId: bb0e8400-e29b-41d4-a716-446655440006
                  activityType: NOTIFICATION
                  apiVersion: V1
                  origin: API
                  traceId: f26ad30d3be41b2f64fa7dbfb22ba5fd
                  createdAt: '2024-01-01T10:00:00Z'
                  activityLogItems:
                    - id: 880e8400-e29b-41d4-a716-446655440003
                      activityLogId: 990e8400-e29b-41d4-a716-446655440004
                      verb: CREATED
                      name: Invoice Created
                      summary: A new invoice was created for customer
                      reason: New billing cycle started
                      metadata: []
                      activityLogActor:
                        id: 550e8400-e29b-41d4-a716-446655440000
                        entityType: USER
                        entityId: 550e8400-e29b-41d4-a716-446655440123
                        email: john.doe@sequencehq.com
                      activityLogObject:
                        id: 660e8400-e29b-41d4-a716-446655440001
                        entityType: INVOICE
                        entityId: 550e8400-e29b-41d4-a716-446655440456
                      activityLogTarget:
                        id: 770e8400-e29b-41d4-a716-446655440002
                        entityType: SEQUENCE_USER
                        entityId: 550e8400-e29b-41d4-a716-446655440789
              examples:
                ActivityLogResponse:
                  summary: ''
                  value:
                    id: aa0e8400-e29b-41d4-a716-446655440005
                    sequenceAccountId: bb0e8400-e29b-41d4-a716-446655440006
                    activityType: NOTIFICATION
                    apiVersion: V1
                    origin: API
                    traceId: f26ad30d3be41b2f64fa7dbfb22ba5fd
                    createdAt: '2024-01-01T10:00:00Z'
                    activityLogItems:
                      - id: 880e8400-e29b-41d4-a716-446655440003
                        activityLogId: 990e8400-e29b-41d4-a716-446655440004
                        verb: CREATED
                        name: Invoice Created
                        summary: A new invoice was created for customer
                        reason: New billing cycle started
                        metadata: []
                        activityLogActor:
                          id: 550e8400-e29b-41d4-a716-446655440000
                          entityType: USER
                          entityId: 550e8400-e29b-41d4-a716-446655440123
                          email: john.doe@sequencehq.com
                        activityLogObject:
                          id: 660e8400-e29b-41d4-a716-446655440001
                          entityType: INVOICE
                          entityId: 550e8400-e29b-41d4-a716-446655440456
                        activityLogTarget:
                          id: 770e8400-e29b-41d4-a716-446655440002
                          entityType: SEQUENCE_USER
                          entityId: 550e8400-e29b-41d4-a716-446655440789
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ActivityLogResponse:
      required:
        - activityLogItems
        - activityType
        - createdAt
        - id
        - origin
        - sequenceAccountId
      type: object
      example:
        id: aa0e8400-e29b-41d4-a716-446655440005
        sequenceAccountId: bb0e8400-e29b-41d4-a716-446655440006
        activityType: NOTIFICATION
        apiVersion: V1
        origin: API
        traceId: f26ad30d3be41b2f64fa7dbfb22ba5fd
        createdAt: '2024-01-01T10:00:00Z'
        activityLogItems:
          - id: 880e8400-e29b-41d4-a716-446655440003
            activityLogId: 990e8400-e29b-41d4-a716-446655440004
            verb: CREATED
            name: Invoice Created
            summary: A new invoice was created for customer
            reason: New billing cycle started
            metadata: []
            activityLogActor:
              id: 550e8400-e29b-41d4-a716-446655440000
              entityType: USER
              entityId: 550e8400-e29b-41d4-a716-446655440123
              email: john.doe@sequencehq.com
            activityLogObject:
              id: 660e8400-e29b-41d4-a716-446655440001
              entityType: INVOICE
              entityId: 550e8400-e29b-41d4-a716-446655440456
            activityLogTarget:
              id: 770e8400-e29b-41d4-a716-446655440002
              entityType: SEQUENCE_USER
              entityId: 550e8400-e29b-41d4-a716-446655440789
      properties:
        id:
          type: string
          example: aa0e8400-e29b-41d4-a716-446655440005
        sequenceAccountId:
          type: string
          example: bb0e8400-e29b-41d4-a716-446655440006
        activityType:
          type: string
          example: NOTIFICATION
        apiVersion:
          type: string
          example: V1
        origin:
          type: string
          example: API
        traceId:
          type: string
          example: f26ad30d3be41b2f64fa7dbfb22ba5fd
        createdAt:
          type: string
          format: date-time
          example: '2024-01-01T10:00:00Z'
        activityLogItems:
          type: array
          example:
            - id: 880e8400-e29b-41d4-a716-446655440003
              activityLogId: 990e8400-e29b-41d4-a716-446655440004
              verb: CREATED
              name: Invoice Created
              summary: A new invoice was created for customer
              reason: New billing cycle started
              metadata: []
              activityLogActor:
                id: 550e8400-e29b-41d4-a716-446655440000
                entityType: USER
                entityId: 550e8400-e29b-41d4-a716-446655440123
                email: john.doe@sequencehq.com
              activityLogObject:
                id: 660e8400-e29b-41d4-a716-446655440001
                entityType: INVOICE
                entityId: 550e8400-e29b-41d4-a716-446655440456
              activityLogTarget:
                id: 770e8400-e29b-41d4-a716-446655440002
                entityType: SEQUENCE_USER
                entityId: 550e8400-e29b-41d4-a716-446655440789
          items:
            $ref: '#/components/schemas/ActivityLogItemResponse'
    ActivityLogItemResponse:
      required:
        - activityLogActor
        - activityLogId
        - activityLogObject
        - id
        - name
        - summary
        - verb
      type: object
      example:
        id: 880e8400-e29b-41d4-a716-446655440003
        activityLogId: 990e8400-e29b-41d4-a716-446655440004
        verb: CREATED
        name: Invoice Created
        summary: A new invoice was created for customer
        reason: New billing cycle started
        metadata: []
        activityLogActor:
          id: 550e8400-e29b-41d4-a716-446655440000
          entityType: USER
          entityId: 550e8400-e29b-41d4-a716-446655440123
          email: john.doe@sequencehq.com
        activityLogObject:
          id: 660e8400-e29b-41d4-a716-446655440001
          entityType: INVOICE
          entityId: 550e8400-e29b-41d4-a716-446655440456
        activityLogTarget:
          id: 770e8400-e29b-41d4-a716-446655440002
          entityType: SEQUENCE_USER
          entityId: 550e8400-e29b-41d4-a716-446655440789
      properties:
        id:
          type: string
          example: 880e8400-e29b-41d4-a716-446655440003
        activityLogId:
          type: string
          example: 990e8400-e29b-41d4-a716-446655440004
        verb:
          type: string
          example: CREATED
        name:
          type: string
          example: Invoice Created
        summary:
          type: string
          example: A new invoice was created for customer
        reason:
          type: string
          example: New billing cycle started
        metadata:
          type: array
          example: []
          items: {}
        activityLogActor:
          $ref: '#/components/schemas/ActivityLogActorResponse'
        activityLogObject:
          $ref: '#/components/schemas/ActivityLogObjectResponse'
        activityLogTarget:
          $ref: '#/components/schemas/ActivityLogTargetResponse'
    ActivityLogActorResponse:
      required:
        - entityType
        - id
      type: object
      example:
        id: 550e8400-e29b-41d4-a716-446655440000
        entityType: USER
        entityId: 550e8400-e29b-41d4-a716-446655440123
        email: john.doe@sequencehq.com
      properties:
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        entityType:
          type: string
          example: USER
        entityId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440123
        email:
          type: string
          example: john.doe@sequencehq.com
    ActivityLogObjectResponse:
      required:
        - entityType
        - id
      type: object
      example:
        id: 660e8400-e29b-41d4-a716-446655440001
        entityType: INVOICE
        entityId: 550e8400-e29b-41d4-a716-446655440456
      properties:
        id:
          type: string
          example: 660e8400-e29b-41d4-a716-446655440001
        entityType:
          type: string
          example: INVOICE
        entityId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440456
    ActivityLogTargetResponse:
      required:
        - entityType
        - id
      type: object
      example:
        id: 770e8400-e29b-41d4-a716-446655440002
        entityType: SEQUENCE_USER
        entityId: 550e8400-e29b-41d4-a716-446655440789
      properties:
        id:
          type: string
          example: 770e8400-e29b-41d4-a716-446655440002
        entityType:
          type: string
          example: SEQUENCE_USER
        entityId:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440789

````